## inkscape 1.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
cmake_minimum_required(VERSION 3.1.0)

cmake_policy(SET CMP0003 NEW) # don't be prolific with library paths
cmake_policy(SET CMP0005 NEW) # proper define quoting
cmake_policy(SET CMP0009 NEW) # don't follow symbolic links when using GLOB

if(POLICY CMP0075)
    cmake_policy(SET CMP0075 NEW) # link check-executable to CMAKE_REQUIRED_LIBRARIES (CMake 3.12.1)
endif(POLICY CMP0075)

message("------------------------------")
message("Building Makefile for Inkscape")
message("------------------------------")
message("Source Dir: ${CMAKE_CURRENT_SOURCE_DIR}")
message("Binary Dir: ${CMAKE_CURRENT_BINARY_DIR}")

# -----------------------------------------------------------------------------
# CMake Configuration
# -----------------------------------------------------------------------------
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
# set(CMAKE_CXX_EXTENSIONS OFF) # enforces -std=c++11 instead of -std=gnu++11
                                # TODO: build currently fails with it as we actually depend on GNU compiler extensions...

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeScripts/Modules")

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

include(CMakeScripts/HelperFunctions.cmake)
include(CMakeScripts/ConfigEnv.cmake)
include(GNUInstallDirs) # for the CMAKE_INSTALL_LIBDIR variable

project(inkscape)
set(CMAKE_INSTALL_DEFAULT_COMPONENT_NAME inkscape) # needs to be before any install() commands

include(CMakeScripts/ConfigPaths.cmake)

set(PROJECT_NAME inkscape)

set(INKSCAPE_VERSION_MAJOR  1)
set(INKSCAPE_VERSION_MINOR  0)
set(INKSCAPE_VERSION_PATCH  0)
set(INKSCAPE_VERSION_SUFFIX "")

set(INKSCAPE_VERSION ${INKSCAPE_VERSION_MAJOR}.${INKSCAPE_VERSION_MINOR})
if(INKSCAPE_VERSION_PATCH)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}.${INKSCAPE_VERSION_PATCH})
endif()
if(INKSCAPE_VERSION_SUFFIX)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}${INKSCAPE_VERSION_SUFFIX})
endif()

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

set(INKSCAPE_INSTALL_LIBDIR "${CMAKE_INSTALL_LIBDIR}/inkscape"
    CACHE STRING "Install directory for the inkscape shared libraries")

file(RELATIVE_PATH
    INKSCAPE_INSTALL_LIBDIR_RELATIVE_TO_BINDIR
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}
    ${CMAKE_INSTALL_PREFIX}/${INKSCAPE_INSTALL_LIBDIR})

if(APPLE)
    SET(CMAKE_MACOSX_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH "@loader_path/${INKSCAPE_INSTALL_LIBDIR_RELATIVE_TO_BINDIR}")
else()
    SET(CMAKE_INSTALL_RPATH "$ORIGIN/${INKSCAPE_INSTALL_LIBDIR_RELATIVE_TO_BINDIR}")
endif()

# this can be removed if/when cmake 3.1 is made the minimum required version
set(PKG_CONFIG_USE_CMAKE_PREFIX_PATH ON)

# console output is slow as hell on Windows and as a result status messages of the "install" target slow down
# the whole build process considerably (especially since we also copy a lot of files from the devlibs)
# TODO: Is this worth to be configurable / also applicable to other platforms?
if(WIN32 AND NOT CMAKE_INSTALL_MESSAGE)
    set(CMAKE_INSTALL_MESSAGE "LAZY")
endif()

# Define a very strict set of build flags that will prevent any use of deprecated symbols.
# This will almost certainly cause compilation failure and is intended only for developer use.
set(CMAKE_CXX_FLAGS_STRICT "${CMAKE_CXX_FLAGS_DEBUG} -Werror=deprecated-declarations -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTKMM_DISABLE_DEPRECATED -DGDKMM_DISABLE_DEPRECATED"
	CACHE STRING
	"Flags used by C++ compiler during Strict builds"
	FORCE)
set(CMAKE_C_FLAGS_STRICT   "${CMAKE_C_FLAGS_DEBUG}   -Werror=deprecated-declarations -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTKMM_DISABLE_DEPRECATED -DGDKMM_DISABLE_DEPRECATED"
	CACHE STRING
	"Flags used by C compiler during Strict builds"
	FORCE)
mark_as_advanced(
	CMAKE_CXX_FLAGS_STRICT
	CMAKE_C_FLAGS_STRICT)

set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING
	"Choose the type of build, options are: None(CMAKE_CXXFLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel Strict."
	FORCE)

# -----------------------------------------------------------------------------
# Redirect output files
# -----------------------------------------------------------------------------
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE PATH "Output directory for runtime binaries")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR} CACHE PATH "Output directory for shared libraries")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR} CACHE PATH "Output directory for static libraries")

# -----------------------------------------------------------------------------
# Options
# -----------------------------------------------------------------------------
option(WITH_DBUS "Compile with support for DBus interface" OFF)
option(ENABLE_LCMS "Compile with LCMS support" ON)
option(WITH_SVG2 "Compile with support for new SVG2 features" ON)
option(WITH_LPETOOL "Compile with LPE Tool" OFF)
option(LPE_ENABLE_TEST_EFFECTS "Compile with test experimental LPEs enabled" OFF)
option(WITH_OPENMP "Compile with OpenMP support" ON)

option(WITH_PROFILING "Turn on profiling" OFF) # Set to true if compiler/linker should enable profiling
option(BUILD_SHARED_LIBS "Compile libraries as shared and not static" ON)

option(ENABLE_POPPLER "Compile with support of libpoppler" ON)
option(ENABLE_POPPLER_CAIRO "Compile with support of libpoppler-cairo for rendering PDF preview (depends on ENABLE_POPPLER)" ON)
option(WITH_IMAGE_MAGICK "Compile with support of ImageMagick for raster extensions and image import resolution (requires ImageMagick 6; set to OFF if you prefer GraphicsMagick)" ON)
option(WITH_GRAPHICS_MAGICK "Compile with support of GraphicsMagick for raster extensions and image import resolution" ON)
option(WITH_LIBCDR "Compile with support of libcdr for CorelDRAW Diagrams" ON)
option(WITH_LIBVISIO "Compile with support of libvisio for Microsoft Visio Diagrams" ON)
option(WITH_LIBWPG "Compile with support of libwpg for WordPerfect Graphics" ON)
option(WITH_NLS "Compile with Native Language Support (using gettext)" ON)
option(WITH_JEMALLOC "Compile with JEMALLOC support" OFF)
option(WITH_ASAN "Compile with Clang's AddressSanitizer (for debugging purposes)" OFF)

option(WITH_FUZZ "Compile for fuzzing purpose (use 'make fuzz' only)" OFF)
mark_as_advanced(WITH_FUZZ)

option(ENABLE_BINRELOC "Enable relocatable binaries" OFF)


include(CMakeScripts/DefineDependsandFlags.cmake) # Includes, Compiler Flags, and Link Libraries
include(CMakeScripts/HelperMacros.cmake) # Misc Utility Macros

# -----------------------------------------------------------------------------
# BAD HACKS, NEED TO INVESTIGATE MAKING THESE LESS BAD
if(BUILD_SHARED_LIBS AND NOT WIN32)
    add_definitions(-fPIC)
endif()
#
# end badness
# -----------------------------------------------------------------------------



# -----------------------------------------------------------------------------
# Subdirectories
# -----------------------------------------------------------------------------
add_subdirectory(src)

if(ENABLE_NLS)
    add_subdirectory(po)
endif(ENABLE_NLS)

if(NOT WIN32)
    include(CMakeScripts/Pod2man.cmake)
    add_subdirectory(man)
endif()



# -----------------------------------------------------------------------------
# Check License Headers
# -----------------------------------------------------------------------------
add_custom_target(check-license-headers WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} COMMAND ./buildtools/check_license_headers.py)


# -----------------------------------------------------------------------------
# Test Harness
# -----------------------------------------------------------------------------

if(BUILD_TESTING OR NOT DEFINED BUILD_TESTING)
    find_package(GTest)
    if(GTEST_FOUND)
        set(DART_TESTING_TIMEOUT 60 CACHE STRING "Test timeout") # if running for > 60 s something must be wrong)
        include(CTest)
        add_subdirectory(testfiles EXCLUDE_FROM_ALL)
    else()
        set(BUILD_TESTING OFF)
        message(WARNING "No gtest found! Disabling testing...\n"
                        "Consider installing it via package manager (install 'libgtest-dev' or equivalent).")
    endif()
endif()


# -----------------------------------------------------------------------------
# Clean Targets
# -----------------------------------------------------------------------------
add_custom_target(clean-cmake-files
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

add_custom_target(clean-all
    COMMAND ${CMAKE_BUILD_TOOL} clean
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

# -----------------------------------------------------------------------------
# Install Target
# -----------------------------------------------------------------------------
add_subdirectory(share)

if(WIN32)
  include(CMakeScripts/InstallMSYS2.cmake)
endif()

# -----------------------------------------------------------------------------
# Uninstall Target
# -----------------------------------------------------------------------------
if(WIN32)
    add_custom_target(uninstall
        "${CMAKE_COMMAND}" -E remove_directory "${CMAKE_INSTALL_PREFIX}")
else()
    configure_file(
        "${CMAKE_SOURCE_DIR}/CMakeScripts/cmake_uninstall.cmake.in"
        "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
        @ONLY)
    add_custom_target(uninstall
        "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif()

# -----------------------------------------------------------------------------
# Dist Targets
# -----------------------------------------------------------------------------
include(CMakeScripts/Dist.cmake)

# -----------------------------------------------------------------------------
# Packaging (CPack)
# -----------------------------------------------------------------------------
include(CMakeScripts/ConfigCPack.cmake)



# ----------------------------------------------------------------------
# Information Summary
# ----------------------------------------------------------------------
message("------------------------------------------------------------------------")
message("Configuration Summary")
message("------------------------------------------------------------------------")
# project info
message("PROJECT_NAME:            ${PROJECT_NAME}")
message("INKSCAPE_VERSION:        ${INKSCAPE_VERSION}")
message("INKSCAPE_DIST_PREFIX:    ${INKSCAPE_DIST_PREFIX}")
message("")

# cmake info
message("CMAKE_BINARY_DIR:        ${CMAKE_BINARY_DIR}")
message("CMAKE_INSTALL_PREFIX:    ${CMAKE_INSTALL_PREFIX}")
message("CMAKE_INSTALL_LIBDIR:    ${CMAKE_INSTALL_LIBDIR}")
message("PACKAGE_LOCALE_DIR       ${PACKAGE_LOCALE_DIR}")
message("CMAKE_SYSTEM_NAME:       ${CMAKE_SYSTEM_NAME}")
message("CMAKE_SYSTEM_VERSION:    ${CMAKE_SYSTEM_VERSION}")
message("CMAKE_SYSTEM_PROCESSOR:  ${CMAKE_SYSTEM_PROCESSOR}")
message("CMAKE_C_COMPILER:        ${CMAKE_C_COMPILER}")
message("CMAKE_CXX_COMPILER:      ${CMAKE_CXX_COMPILER}")
message("CMAKE_BUILD_TYPE:        ${CMAKE_BUILD_TYPE}")
message("")

if(WIN32)
message("CMAKE_PREFIX_PATH:           ${CMAKE_PREFIX_PATH}")
message("CMAKE_FIND_LIBRARY_PREFIXES: ${CMAKE_FIND_LIBRARY_PREFIXES}")
message("CMAKE_FIND_LIBRARY_SUFFIXES: ${CMAKE_FIND_LIBRARY_SUFFIXES}")
message("")
endif()

# dependency info
message("ENABLE_LCMS:             ${ENABLE_LCMS}")
message("ENABLE_POPPLER:          ${ENABLE_POPPLER}")
message("ENABLE_POPPLER_CAIRO:    ${ENABLE_POPPLER_CAIRO}")
message("WITH_DBUS:               ${WITH_DBUS}")
message("WITH_GTKSPELL:           ${WITH_GTKSPELL}")
message("WITH_IMAGE_MAGICK:       ${WITH_IMAGE_MAGICK}")
message("WITH_GRAPHICS_MAGICK:    ${WITH_GRAPHICS_MAGICK}")
message("WITH_LIBCDR:             ${WITH_LIBCDR}")
message("WITH_LIBVISIO:           ${WITH_LIBVISIO}")
message("WITH_LIBWPG:             ${WITH_LIBWPG}")

=== testfiles/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# -----------------------------------------------------------------------------

# custom "check" target with proper dependencies (builds inkscape and tests)
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure
                        DEPENDS tests
                        WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
add_dependencies(check inkscape)


# create symlink "inkscape_datadir" to use as INKSCAPE_DATADIR
# - ensures tests can be run without installing the project
# - also helpful for running Inkscape uninstalled: 'INKSVAPE_DATADIR=inkscape_datadir bin/inkscape'
set(INKSCAPE_DATADIR ${CMAKE_BINARY_DIR}/inkscape_datadir)
if(NOT EXISTS ${INKSCAPE_DATADIR}/inkscape)
    set(link_source ${INKSCAPE_DATADIR}/inkscape)
    set(link_target ${CMAKE_SOURCE_DIR}/share)
    message(STATUS "Creating link '${link_source}' --> '${link_target}'")
    execute_process(COMMAND mkdir inkscape_datadir)
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${link_target} ${link_source}
                    RESULT_VARIABLE result)
    if(result)
        message(WARNING "Creation of link failed: ${result}")
    endif()
endif()
# check if creation succeeded
if(EXISTS ${INKSCAPE_DATADIR}/inkscape)
    set(CMAKE_CTEST_ENV INKSCAPE_DATADIR=${INKSCAPE_DATADIR})
else()
    message(WARNING "Directory 'inkscape_datadir/inkscape' missing. Tests might not run properly.\n"
                    "Possible solutions:\n"
                    " - create a suitable symlink yourself, e.g.\n"
                    "   ln -s ${CMAKE_SOURCE_DIR}/share ${INKSCAPE_DATADIR}/inkscape\n"
                    " - run '${CMAKE_MAKE_PROGRAM} install' before running tests (only for not relocatable packages.\n"
                    " - set the environment variable 'INKSCAPE_DATADIR' manually (every time you run tests)")
endif()


# Set custom profile directory for tests using environment variable.
# Copy CTestCustom.cmake into binary dir, where it will be picked up automatically by ctest for cleanup.
set(INKSCAPE_TEST_PROFILE_DIR ${CMAKE_CURRENT_BINARY_DIR}/test_profile_dir)
set(INKSCAPE_TEST_PROFILE_DIR_ENV INKSCAPE_PROFILE_DIR=${INKSCAPE_TEST_PROFILE_DIR})
configure_file(CTestCustom.cmake.in ${CMAKE_BINARY_DIR}/CTestCustom.cmake)



### tests using gtest
include_directories("${CMAKE_SOURCE_DIR}/src/3rdparty/adaptagrams") # TODO: remove this hack

set(TEST_SOURCES
    uri-test
    extract-uri-test
    attributes-test
    color-profile-test
    dir-util-test
    sp-object-test
    object-set-test
    object-style-test
    style-elem-test
    style-test
    svg-stringstream-test
    sp-gradient-test
    object-test
    curve-test
    2geom-characterization-test
    lpe-bool-test
    sp-item-group-test)

set(TEST_LIBS
    ${GTEST_LIBRARIES}
    inkscape_base)

add_library(cpp_test_object_library OBJECT unittest.cpp doc-per-case-test.cpp)

add_custom_target(tests)
foreach(test_source ${TEST_SOURCES})
    string(REPLACE "-test" "" testname "test_${test_source}")
    add_executable(${testname} src/${test_source}.cpp $<TARGET_OBJECTS:cpp_test_object_library>)
    target_include_directories(${testname} SYSTEM PRIVATE ${GTEST_INCLUDE_DIRS})
    target_link_libraries(${testname} ${TEST_LIBS})
    add_test(NAME ${testname} COMMAND ${testname})
    set_tests_properties(${testname} PROPERTIES ENVIRONMENT "${INKSCAPE_TEST_PROFILE_DIR_ENV}/${testname};${CMAKE_CTEST_ENV}")
    add_dependencies(tests ${testname})
endforeach()


### CLI and rendering tests
add_subdirectory(cli_tests)
add_subdirectory(rendering_tests)


### Fuzz test
if(WITH_FUZZ)
    # to use the fuzzer, make sure you use the right compiler (clang)
    # with the right flags -fsanitize=address -fsanitize-coverage=edge,trace-pc-guard,indirect-calls,trace-cmp,trace-div,trace-gep -fno-omit-frame-pointer
    # (see libfuzzer doc for info in flags)
    # first line is for integration into oss-fuzz https://github.com/google/oss-fuzz
    add_executable(fuzz fuzzer.cpp)
    if(LIB_FUZZING_ENGINE)
        target_link_libraries(fuzz inkscape_base -lFuzzingEngine)
    else()
        target_link_libraries(fuzz inkscape_base -lFuzzer)
    endif()
endif()

=== debian/changelog ===
inkscape (1.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux
  * Make many recommended packages dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 May 2020 16:22:10 -0700

inkscape (1.0-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.0.  LP: #1876996
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.0
    https://inkscape.org/release/inkscape-1.0/
    https://inkscape.org/news/2020/05/04/introducing-inkscape-10/
  * d/watch: Update to point at the new source archive.
  * Update Marc Jeanmougin's upstream gpg key.
  * Refresh patches.
  * Bump debhelper compat level to 13.

  [ Gianfranco Costamagna ]
  * Increase test timeout to 3 minutes instead of 1, to avoid failures when
    a slow machine runs tests (such as riscv64 that is emulated in Ubuntu).

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 07 May 2020 20:57:39 +0200

inkscape (1.0~rc1-4) unstable; urgency=medium

  * d/rules: Fix architecture match, only make the testsuite fata on little
    endian architectures.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 22:58:01 +0200

inkscape (1.0~rc1-3) unstable; urgency=medium

  * d/rules:
    + Use the correct variable used as cmake's build directory.
    + Only consider the testsuite fatal on amd64 and arm64.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 14:40:49 +0200

inkscape (1.0~rc1-2) unstable; urgency=medium

  * Add a patch to add -latomic to the linker flags when needed.
    This should fix FTBFS in armel, mipsel, m68k and sh4.
  * Run the testsuite at build time, add Build-Dep on imagemagick for that.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 11:58:44 +0200

inkscape (1.0~rc1-1) experimental; urgency=medium

  * New upstream version 1.0~rc1.
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.0
    https://inkscape.org/release/inkscape-1.0rc1/

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 13 Apr 2020 17:09:01 +0200

inkscape (1.0~beta2-1) experimental; urgency=medium

  * New upstream version 1.0~beta2.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/1.0
    https://inkscape.org/release/inkscape-1.0beta2/
  * Refresh patches
  * d/rules: now the extensions are properly present in the tarball, drop
    multitarball hack.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 06 Dec 2019 13:07:44 +0100

inkscape (1.0~beta1+ds-2) experimental; urgency=medium

  * Add a patch to make the program icon appear also under Gnome with Wayland.
    Closes: #942600

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 03 Dec 2019 18:21:19 +0100

inkscape (1.0~beta1+ds-1) experimental; urgency=low

  * New upstream version 1.0~beta1.  Closes: #933678
    http://wiki.inkscape.org/wiki/index.php/Release_notes/1.0
    https://inkscape.org/release/inkscape-1.0beta1/
    + Also include the extensions.  Closes: #933688
  * Drop the Drop_PS_and_PDF_support_in_MimeType patch.
    This was added without any real satisfying explanation many years ago,
    and I could figure why anybody would want this.
    Let's stop this unjustified divergence from upstream.
  * Add back Marc Jeanmougin's upstream key.
  * Drop all patches, mostly applied upstream.
  * Move everything from Python2 to Python3.  Closes: #883155; LP: #1735363
    + d/p/python3: Add patch to call python3 instead of python while building.
  * d/control: Update Build-Depends.
  * Bump debhlper compat level to 12.
  * Remove an extension that work only on Windows.  Closes: #930154

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 04 Oct 2019 23:08:14 +0200

inkscape (1.0~alpha-1) experimental; urgency=medium

  * New upstream version 1.0~alpha.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/1.0
    https://inkscape.org/news/2019/01/17/inkscape-launches-version-0924/
    + Ability to invert the ruler coordinates.  LP: #170049
  * d/control:
    + Update Vcs information for the experimental branch.
    + Update Build-Depends for the gtk2 → gtk3 move.
  * d/inkscape.docs: update paths.
  * d/rules:
    + Simplify command now that the autotools build system is gone.
    + Stop installing the several /usr/share/inkscape/*/README files.
  * d/source/lintian-overrides: drop now unused override about the removed
    autotools build system.
  * d/patches: refresh
    + Drop a bunch of patches that were cherry-picked from upstream.
    + Refresh the libcroco typos patch.
    + Add patch from upstream fixing a bunch of typos.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 22 Jan 2019 15:19:27 +0100

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 bash-completion (>= 1:2.1-4.2),
 cmake,
 debhelper-compat (= 12),
 dh-python,
 dh-sequence-python3,
 python3,
Build-Depends-Arch:
 imagemagick <!nocheck>,
 libaspell-dev,
 libboost-dev,
 libcdr-dev,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libdouble-conversion-dev,
 libgc-dev (>= 1:6.8),
 libgdl-3-dev,
 libgmock-dev,
 libgsl-dev,
 libgtk-3-dev,
 libgtkmm-3.0-dev,
 libgtkspell3-3-dev,
 libjemalloc-dev,
 liblcms2-dev,
 libmagick++-dev,
 libpango1.0-dev,
 libpng-dev,
 libpoppler-glib-dev,
 libpoppler-private-dev,
 libpotrace-dev,
 librevenge-dev,
 libsigc++-2.0-dev (>= 2.0.16-2),
 libsoup2.4-dev,
 libtool,
 libvisio-dev,
 libwpg-dev (>= 0.3.0),
 libxml-parser-perl,
 libxml2-dev (>= 2-2.4.24),
 libxslt1-dev,
 pkg-config,
 zlib1g-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://inkscape.org
Vcs-Git: https://salsa.debian.org/multimedia-team/inkscape.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/inkscape

Package: inkscape
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
# Recommends:
 aspell,
 fig2dev,
 imagemagick,
 libimage-magick-perl,
 libwmf-bin,
 python3-lxml,
 python3-numpy,
 python3-scour,
Suggests:
 dia,
 inkscape-tutorials,
 libsvg-perl,
 libxml-xql-perl,
 pstoedit,
 python3-uniconvertor,
 ruby,
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 A selection of powerful vector graphics editing tools comes as
 standard. There is excellent support for paths, gradients, layers,
 alpha transparency and text flow control. An extensive library of
 filters allow you to apply realistic effects and extensions allow you
 to work with bitmaps, barcodes and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe
 Illustrator and AutoCAD files, and it has unrivalled support for the
 SVG web graphics standard.
 .
 Between the suggested packages:
  * dia: to export Dia shapes;
  * libsvg-perl: to import .txt files (txt2svg extension);
  * libxml-xql-perl: to use the shadow effect;
  * python3-uniconvertor: enables several import/export extensions;
  * pstoedit: to work with eps files;
  * ruby: there are several extensions written in ruby;

Package: inkscape-tutorials
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 inkscape,
Breaks:
 inkscape (<= 0.92.3-2~),
Replaces:
 inkscape (<= 0.92.3-2~),
Description: vector-based drawing program - tutorials
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 This package contains the tutorials, accessible from the Help > Tutorials
 menu.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with bash-completion

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DWITH_DBUS=ON \
		-DDART_TESTING_TIMEOUT=180

override_dh_auto_test-arch:
	@# this is not run in parallel just because I'm too lazy to parse DEB_BUILD_OPTIONS
	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) tests
	# some tests are not parallel-safe, since they try to look at the same file
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_auto_test -a --no-parallel
else
	# the testsuite fails on BE.  https://gitlab.com/inkscape/inkscape/-/issues/1365
	-dh_auto_test -a --no-parallel
endif

override_dh_auto_install-arch:
	# The tutorials are manually installed, the rest goes here
	dh_auto_install --destdir=debian/inkscape
	rm -rv debian/inkscape/usr/share/inkscape/tutorials
	rm -rv debian/inkscape/usr/share/inkscape/*/README
	# Remove extensions that work only on Windows.  #930154
	rm -v debian/inkscape/usr/share/inkscape/extensions/print_win32_vector.*

oeverride_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure-indep: nothing
override_dh_auto_build-indep: nothing
override_dh_auto_install-indep: nothing
override_dh_auto_test-indep: nothing
.PHONY: nothing
nothing:
	: Do nothing for the -indep build

## inkscape 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 set(INKSCAPE_VERSION_MAJOR  1)
 set(INKSCAPE_VERSION_MINOR  0)
-set(INKSCAPE_VERSION_PATCH  0)
+set(INKSCAPE_VERSION_PATCH  1)
 set(INKSCAPE_VERSION_SUFFIX "")
 
 set(INKSCAPE_VERSION ${INKSCAPE_VERSION_MAJOR}.${INKSCAPE_VERSION_MINOR})
@@ -130,6 +130,8 @@
 
 option(WITH_FUZZ "Compile for fuzzing purpose (use 'make fuzz' only)" OFF)
 mark_as_advanced(WITH_FUZZ)
+option(WITH_MANPAGE_COMPRESSION "gzips manpages if gzip is available" ON)
+mark_as_advanced(WITH_MANPAGE_COMPRESSION)
 
 option(ENABLE_BINRELOC "Enable relocatable binaries" OFF)
 
@@ -277,5 +279,3 @@
 message("WITH_IMAGE_MAGICK:       ${WITH_IMAGE_MAGICK}")
 message("WITH_GRAPHICS_MAGICK:    ${WITH_GRAPHICS_MAGICK}")
 message("WITH_LIBCDR:             ${WITH_LIBCDR}")
-message("WITH_LIBVISIO:           ${WITH_LIBVISIO}")
-message("WITH_LIBWPG:             ${WITH_LIBWPG}")

=== debian/changelog ===
inkscape (1.0.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make many recommended packages dependencies.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 11 Sep 2020 14:59:48 -0700

inkscape (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1.
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.0.1
    https://inkscape.org/release/inkscape-1.0.1/
    https://inkscape.org/news/2020/09/06/inkscape-version-101-patches-crashes-bugs/
  * Drop patches applied upstream.
  * Add patch to fix a SyntaxWarning in a Python extension.
  * Drop our copy of the bash auto completion, now shipped upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 10 Sep 2020 16:31:05 +0200

inkscape (1.0-5) unstable; urgency=medium

  * Add patch from upstream to allow users to resize the document property
    dialog again.  Closes: #962185

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 30 Jul 2020 14:37:18 +0200

inkscape (1.0-4) unstable; urgency=medium

  * Add patch from upstream to fix crash using some cursors under Wayland.
    Closes: #965969

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 22 Jul 2020 12:13:47 +0200

inkscape (1.0-3) unstable; urgency=medium

  [ shouhuanxiaoji ]
  * d/rules: Fix typo in dh_missing override.  MR: !2

  [ Mattia Rizzolo ]
  * d/rules: Drop now unneeded dh_missing override.
  * Rebuild against glibmm2.4/2.64.2-2 to pick up the proper versioned
    dependency.  Closes: #964390

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 06 Jul 2020 19:53:49 +0200

inkscape (1.0-2) unstable; urgency=medium

  * d/rules:
    + Don't run dwz when building for buster-backports.
    + Build with -DCMAKE_BUILD_TYPE=Release.  Closes: #960955, #962934

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 24 Jun 2020 18:29:43 +0200

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Mattia Rizzolo <mattia@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-python,
               dh-sequence-python3,
               python3
Build-Depends-Arch: imagemagick <!nocheck>,
                    libaspell-dev,
                    libboost-dev,
                    libcdr-dev,
                    libdbus-1-dev,
                    libdbus-glib-1-dev,
                    libdouble-conversion-dev,
                    libgc-dev (>= 1:6.8),
                    libgdl-3-dev,
                    libgmock-dev,
                    libgsl-dev,
                    libgtk-3-dev,
                    libgtkmm-3.0-dev,
                    libgtkspell3-3-dev,
                    libjemalloc-dev,
                    liblcms2-dev,
                    libmagick++-dev,
                    libpango1.0-dev,
                    libpng-dev,
                    libpoppler-glib-dev,
                    libpoppler-private-dev,
                    libpotrace-dev,
                    librevenge-dev,
                    libsigc++-2.0-dev (>= 2.0.16-2),
                    libsoup2.4-dev,
                    libtool,
                    libvisio-dev,
                    libwpg-dev (>= 0.3.0),
                    libxml-parser-perl,
                    libxml2-dev (>= 2-2.4.24),
                    libxslt1-dev,
                    pkg-config,
                    zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://inkscape.org
Vcs-Git: https://salsa.debian.org/multimedia-team/inkscape.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/inkscape

Package: inkscape
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
# Recommends: 
            aspell,
            fig2dev,
            imagemagick,
            inkscape-tutorials,
            libimage-magick-perl,
            libwmf-bin,
            python3-lxml,
            python3-numpy,
            python3-scour
Suggests: dia,
          libsvg-perl,
          libxml-xql-perl,
          pstoedit,
          python3-uniconvertor,
          ruby
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 A selection of powerful vector graphics editing tools comes as
 standard. There is excellent support for paths, gradients, layers,
 alpha transparency and text flow control. An extensive library of
 filters allow you to apply realistic effects and extensions allow you
 to work with bitmaps, barcodes and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe
 Illustrator and AutoCAD files, and it has unrivalled support for the
 SVG web graphics standard.
 .
 Between the suggested packages:
  * dia: to export Dia shapes;
  * libsvg-perl: to import .txt files (txt2svg extension);
  * libxml-xql-perl: to use the shadow effect;
  * python3-uniconvertor: enables several import/export extensions;
  * pstoedit: to work with eps files;
  * ruby: there are several extensions written in ruby;

Package: inkscape-tutorials
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: inkscape
Breaks: inkscape (<= 0.92.3-2~)
Replaces: inkscape (<= 0.92.3-2~)
Description: vector-based drawing program - tutorials
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 This package contains the tutorials, accessible from the Help > Tutorials
 menu.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,16 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with bash-completion
+	dh $@
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -- \
+		-DCMAKE_BUILD_TYPE=Release \
 		-DWITH_DBUS=ON \
 		-DDART_TESTING_TIMEOUT=180
 
@@ -31,11 +33,10 @@
 	# Remove extensions that work only on Windows.  #930154
 	rm -v debian/inkscape/usr/share/inkscape/extensions/print_win32_vector.*
 
-oeverride_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+ifeq (buster-backports,$(DEB_DISTRIBUTION))
+override_dh_dwz:
+	: Skipping dwz, 0.12 cannot compress Inkscape debug symbols
+endif
 
 override_dh_auto_configure-indep: nothing
 override_dh_auto_build-indep: nothing
